ApiLlmproviders
Get a specific LLM provider.
Returns detailed information about a specific LLM provider, including available models, pricing tiers, and rate limits.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Enter 'Bearer' [space] and then your token.
In: header
Path Parameters
llmProvider*string
The provider identifier (e.g., "openai", "anthropic").
tenant*string
The tenant identifier
Response Body
curl -X GET "https://api.fruxon.com/v1/tenants/string/llmProviders/string"{
"provider": {
"id": "string",
"name": "string",
"description": "string",
"keysUrl": "string",
"pricingUrl": "string",
"surface": "DIRECT_API",
"credentialOwnerProviderId": "string"
},
"configMetadata": null,
"models": [
{
"id": "string",
"name": "string",
"description": "string",
"parametersMetadata": [],
"supportTools": false,
"supportsVision": false,
"builtInTools": [],
"pricing": {
"inputPricePerMillion": 0,
"outputPricePerMillion": 0,
"cachedInputPricePerMillion": null
},
"isEmbedding": false,
"contextWindow": 0,
"deprecation": {
"replacementModelId": "string",
"shutdownOn": null
}
}
],
"configCount": 0
}Empty
Empty
{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}